<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Index</title>
</head>

<body>


    <script>
        // ======1=======
        var foo = 'hello'
        var bar = 123
        var obj = {}
        var arr = []

        console.log(typeof foo)
        console.log(typeof bar)
        console.log(typeof obj)
        console.log(typeof arr)

        // ======2=======
        var a = 1;
        var b = 2;
        const c = 3;

        if (a = 1) {
            a = 11
            let b = 22

            console.log(a);
            console.log(b);
            console.log(c);
        }

        console.log(a, b, c);
    </script>
</body>

</html>